Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class TranslationEvent2

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<TranslationEvent2Handler>
                  com.tibco.bpm.web.client.model.managedevents.TranslationEvent2

    public abstract class TranslationEvent2

extends ManagedEvent<TranslationEvent2Handler>

Event for translation.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<TranslationEvent2Handler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`TranslationEvent2()`

Method Summary
`static TranslationEvent2` | `create()`
`static TranslationEvent2` | `create(java.lang.String locale, java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> translations, java.lang.String fallbackLocale, java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> fallbackTranslations)`
`com.google.gwt.event.shared.GwtEvent.Type<TranslationEvent2Handler>` | `getAssociatedType()`
`java.lang.String` | `getFallbackLocale()`
`java.lang.String` | `getFallbackTranslation(java.lang.String base, java.lang.String key)`
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` | `getFallbackTranslations()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getTranslation(java.lang.String base, java.lang.String key)`
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` | `getTranslations()`
`void` | `setFallbackLocale(java.lang.String fallbackLocale)`
`void` | `setFallbackTranslations(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> fallbackTranslations)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setTranslations(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> translations)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<TranslationEvent2Handler> TYPE

Constructor Detail

### TranslationEvent2

    public TranslationEvent2()

Method Detail

### create

    public static TranslationEvent2 create()

### create

    public static TranslationEvent2 create(java.lang.String locale,
                                           java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> translations,
                                           java.lang.String fallbackLocale,
                                           java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> fallbackTranslations)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<TranslationEvent2Handler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<TranslationEvent2Handler>`

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

### getFallbackLocale

    public java.lang.String getFallbackLocale()

### setFallbackLocale

    public void setFallbackLocale(java.lang.String fallbackLocale)

### getTranslations

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> getTranslations()

### setTranslations

    public void setTranslations(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> translations)

### getFallbackTranslations

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> getFallbackTranslations()

### setFallbackTranslations

    public void setFallbackTranslations(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> fallbackTranslations)

### getTranslation

    public java.lang.String getTranslation(java.lang.String base,
                                           java.lang.String key)

### getFallbackTranslation

    public java.lang.String getFallbackTranslation(java.lang.String base,
                                                   java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.